# 8. Мутация: Генериране на „RasterMap“

Генерирайте "RasterMap" за "Field".

{% hint style="info" %}
Времето за изпълнение е различно (от 4 сек до 5 мин), зависи от броя снимки и площта на полето за обработка, а абонаментът ще бъде получен след успешното генериране на "RasterMap".
{% endhint %}

{% hint style="danger" %}
Препоръчваме използването на **асинхронен** подход за генериране на RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    name
    centroid {
      latitude
      longitude
    }
    boundingBox
    geoMaps {
      shortName
      fullName
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/8.-mutaciya-generirane-na-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
